%define release 3mdk
%define version 0.2.3

Name: klilo
Summary: KDE configuration applet for the lilo bootloader
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: klilo.xpm
Source2: klilo_menuentry
Group: System/Configuration/Boot and Init
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: qt kdelibs
# (fg) egcs doesn't like "preferred-stack-boundary" option
#BuildRequires: egcs-c++
ExclusiveArch: i386 i486 i586 i686 k6 k7
# (fg) kdevelop makes really crappy Makefiles :(
Patch: klilo-makefile-fixes.patch.bz2

%description
KDE configuration applet for the lilo bootloader popular on free Unix based
systems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch -p1

%build
export KDEDIR=/usr
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT$KDEDIR install

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/klilo

# (fg) Icon - only the small one was available
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/klilo.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/klilo
/usr/lib/menu/klilo
%dir /usr/share/icons
/usr/share/icons/klilo.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/klilo.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/klilo.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/klilo

%changelog

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.3-3mdk

- Fixed group
- Changed menu entry
- Added --disable-rpath to ./configure

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.3-2mdk

- Icon
- Updated spec file
- Updated file list

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.2.3-1mdk

- 0.2.3
- spec file fixes
- Changed group to match 7.1 specs
- added menu entry

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.1-3mdk
- ExclusiveArch: i386 i486 i586 i686 k6 k7

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.
- BuildRequires: egcs-c++

* Mon Nov 15 1999 Lenny Cartier <lenny@mandrakesfot.com>
- v0.2.1

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
Inital RPM.

